QGIS Application - Bug report #15504
QGIS cannot recognize EPSG:4326 projection
2016-08-30 11:58 PM - dr -

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:master
Operating System: Ubuntu
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: wontfix

Copied to github as #: 23428

Description

I'm using QGIS Master from official repository alongside custom GDAL build:

Compiled against GDAL/OGR 2.1.0
Running against GDAL/OGR 2.1.1

If open shapefile with EPSG:4326 projection then QGIS ask about projection because cannot determine it:

src/core/qgsvectorlayer.cpp: 2830: (setCoordinateSystem) [Oms] ----- Computing Coordinate System
src/providers/ogr/qgsogrprovider.cpp: 2692: (crs) [Oms] Entering.

src/core/ggscoordinatereferencesystem.cpp: 191: (setupESRIWKtFix) [0ms] set GDAL_FIX_ESRI_WKT : GEOGCS
src/providers/ogr/qgsogrprovider.cpp: 2728: (crs) [4ms] +proj=longlat +datum=WGS84 +no_defs
src/core/ggscoordinatereferencesystem.cpp: 411: (createFromWkt) [0ms] wkt: GEOGCS["WGS

84" DATUM["WGS_1984",SPHEROQID["WGS
84",6378137,298.257223563,AUTHORITY["EPSG","7030"],AUTHORITY['"EPSG","6326"]], PRIMEM["Greenwich",0,AUTHORITY['E
Y["EPSG","8901"]],UNIT["degree",0.0174532925199433,AUTHORITY['EPSG","9122"]], AUTHORITY['EPSG","4326"]]
src/core/ggscoordinatereferencesystem.cpp: 432: (createFromWkt) [Oms] authid recognized as EPSG:4326
src/core/ggscoordinatereferencesystem.cpp: 364: (loadFromDb) [1ms] failed : select
srs_id,description,projection_acronym,ellipsoid_acronym,parameters,srid,auth_name||":'||auth_id,is_geo from tbl_srs where
lower(auth_name||":'||auth_id)='epsg:4326' order by deprecated
History

#1 - 2016-08-31 12:00 AM - dr -

Also | can't find EPSG:4326 and EPSG:3857 projections within QGIS CRS Selector window.

#2 - 2016-08-31 04:59 AM - dr -

- Resolution set to wontfix

It was GDAL issue https:/trac.osgeo.org/gdal/ticket/6543. Already fixed in trunk.

#3 - 2016-08-31 11:43 AM - Nyall Dawson
- Status changed from Open to Closed
